Package org.eclipse.mat.query.results

# Class TextResult

java.lang.Object
org.eclipse.mat.query.results.TextResult

All Implemented Interfaces:
  `IResult`

public class TextResult extends Object implements IResult
This result is rendered as text. The input can be plain text, or HTML. Any object addresses can be rendered as links and allow the user to execute queries on the objects.

No Extend:

## Constructor Summary

Constructors
Constructor
Description
`TextResult()`
A simple text result as HTML
`TextResult(String text)`
A simple text result, using the supplied text, as plain text.
`TextResult(String text, boolean isHtml)`
Creates a section to hold some simple text.

## Method Summary

Modifier and Type
Method
Description
`ResultMetaData`
`getResultMetaData()`
Get the metadata for fine-tuning the display of this result.
`String`
`getText()`
Get the text
`boolean`
`isHtml()`
Whether it is HTML
`String`
`linkTo(String label, IResult result)`
Generate a link to another report, and save the referenced report too.
`void`
`setText(String text)`
Set the text for the text result.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextResult

public TextResult()
A simple text result as HTML

### TextResult

public TextResult(String text)
A simple text result, using the supplied text, as plain text.

Parameters:
  `text` - the contents of the report

### TextResult

public TextResult(String text, boolean isHtml)
Creates a section to hold some simple text.

Parameters:
  `text` - the contents of the report
  `isHtml` - whether it is in HTML

## Method Details

### getResultMetaData

public ResultMetaData getResultMetaData()
Get the metadata for fine-tuning the display of this result.

Specified by:
  `getResultMetaData` in interface `IResult`
Returns:
  null

### setText

public void setText(String text)
Set the text for the text result.

Parameters:
  `text` - the contents of the report

### getText

public String getText()
Get the text

Returns:
  the text of the report

### isHtml

public boolean isHtml()
Whether it is HTML

Returns:
  true if HTML

### linkTo

public String linkTo(String label, IResult result)
Generate a link to another report, and save the referenced report too.

Parameters:
  `label` - a label for the report
  `result` - the result
Returns:
  the URL as a String